Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455223 - bug with new prerotate syntax in /etc/logrotate.d/atop
Summary: bug with new prerotate syntax in /etc/logrotate.d/atop
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: atop
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kairo Araujo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 08:07 UTC by Gregoire Barbier
Modified: 2008-07-23 07:15 UTC (History)
2 users (show)

Fixed In Version: 1.23-8.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 07:15:31 UTC


Attachments (Terms of Use)

Description Gregoire Barbier 2008-07-14 08:07:06 UTC
Description of problem:

there is a bug in /etc/logrotate.d/atop which generates a daily error in cron
logs (and thus in root mails):
"""
/etc/cron.daily/logrotate:

error: atop:prerotate or postrotate without endscript
error: found error in file atop, skipping
"""

Version-Release number of selected component (if applicable):

atop-1.23-7.fc9.x86_64 (up to date)

How reproducible:

100%

Steps to Reproduce:
1. yum install atop
2. wait for at most 24 hours or trigger logrotate
  
Actual results:

the error shows and there may be a problem with atop logs (I'm not sure)

Expected results:

no error

Additional info:

Comment 1 Milan Slanař 2008-07-16 15:12:22 UTC
same bug in Fedora 8

Comment 2 Fedora Update System 2008-07-21 23:25:06 UTC
atop-1.23-8.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-07-21 23:26:19 UTC
atop-1.23-8.fc9 has been submitted as an update for Fedora 9

Comment 4 Kairo Araujo 2008-07-22 00:32:58 UTC
Fixed in 1.23-8

Comment 5 Fedora Update System 2008-07-23 07:15:22 UTC
atop-1.23-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.